diff --git a/AUTHORS b/AUTHORS
--- a/AUTHORS
+++ b/AUTHORS
@@ -1,9 +1,9 @@
-Pidgin and Finch: The Pimpin' Penguin IM Clients That're Good for the Soul
+Pidgin and Finch: The Universal Chat Client!
 ==========================================================================
 
 For a complete list of all contributors, see the COPYRIGHT file.
 
-We've got an IRC room now too, #pidgin on irc.freenode.net. Come check us out.
+We've got an IRC room now too, #pidgin on irc.libera.chat. Come check us out.
 
 Current Developers:
 ------------------
diff --git a/HACKING b/HACKING
--- a/HACKING
+++ b/HACKING
@@ -1,2 +1,36 @@
-For information on hacking on Pidgin, Finch, or libpurple, see:
-	http://developer.pidgin.im
+If you plan to use Pidgin, Finch and libpurple from our Mercurial repository,
+PLEASE read this message in its entirety!
+
+Pidgin, Finch, and libpurple are a fast-moving project with a somewhat regular
+release schedule.  Due to the rate of development, the code in our Mercurial
+repository undergoes frequent bursts of massive changes, often leaving behind
+brokenness and partial functionality while the responsible developers rewrite
+some portion of code or seek to add new features.
+
+What this all boils down to is that the code in our Mercurial repository _WILL_
+sometimes be broken.  Because of this, we ask that users who are not interested
+in personally tracking down bugs and fixing them (without a lot of
+assistance from the developers!) use only released versions.  Since releases
+will be made often, this should not prevent anyone from using the newest,
+shiniest features -- but it will prevent users from having to deal with ugly
+development bugs that we already know about but haven't gotten around to fixing.
+
+If you are interested in hacking on Pidgin, Finch, and/or libpurple, please
+check out the information available at: https://pidgin.im/development/.
+
+By far the best documentation, however, is the documented code.  If you have
+doxygen, you can run "make docs" in the toplevel directory to generate pretty
+documentation.  Otherwise (or even if you do!), the header files for each
+subsystem contain documentation for the functions they contain.  For instance,
+conversation.h contains documentation for the entire purple_conversation_*
+API, and account.h contains documentation for the purple_account_* API.
+
+If you have questions, please feel free to contact the Pidgin, Finch, and
+libpurple developers by email at devel@pidgin.im or on IRC at irc.libera.chat
+in #pidgin.  Please do as much homework as you can before contacting us; the
+more you know about your question, the faster and more effectively we can help!
+
+For submitting patches please check out
+https://docs.pidgin.im/libpurple/latest/chapter-using-mercurial.html as well as
+https://docs.pidgin.im/libpurple/latest/chapter-code-contributions.html.
+
diff --git a/Makefile.am b/Makefile.am
--- a/Makefile.am
+++ b/Makefile.am
@@ -6,7 +6,6 @@
 		HACKING \
 		Makefile.mingw \
 		PLUGIN_HOWTO \
-		README.hg \
 		README.mingw \
 		config.h.mingw \
 		doxy2devhelp.xsl \
diff --git a/README.hg b/README.hg
deleted file mode 100644
--- a/README.hg
+++ /dev/null
@@ -1,33 +0,0 @@
-If you plan to use Pidgin, Finch and libpurple from our Mercurial repository,
-PLEASE read this message in its entirety!
-
-Pidgin, Finch, and libpurple are a fast-moving project with a somewhat regular
-release schedule.  Due to the rate of development, the code in our Mercurial
-repository undergoes frequent bursts of massive changes, often leaving behind
-brokenness and partial functionality while the responsible developers rewrite
-some portion of code or seek to add new features.
-
-What this all boils down to is that the code in our Mercurial repository _WILL_
-sometimes be broken.  Because of this, we ask that users who are not interested
-in personally tracking down bugs and fixing them (without a lot of
-assistance from the developers!) use only released versions.  Since releases
-will be made often, this should not prevent anyone from using the newest,
-shiniest features -- but it will prevent users from having to deal with ugly
-development bugs that we already know about but haven't gotten around to fixing.
-
-If you are interested in hacking on Pidgin, Finch, and/or libpurple, please
-check out the information available at: http://developer.pidgin.im
-
-By far the best documentation, however, is the documented code.  If you have
-doxygen, you can run "make docs" in the toplevel directory to generate pretty
-documentation.  Otherwise (or even if you do!), the header files for each
-subsystem contain documentation for the functions they contain.  For instance,
-conversation.h contains documentation for the entire purple_conversation_*
-API, and account.h contains documentation for the purple_account_* API.
-
-If you have questions, please feel free to contact the Pidgin, Finch, and
-libpurple developers by email at devel@pidgin.im or on IRC at irc.freenode.net
-in #pidgin.  Please do as much homework as you can before contacting us; the
-more you know about your question, the faster and more effectively we can help!
-
-Patches should be posted as Trac tickets at: http://developer.pidgin.im
diff --git a/doc/finch.1.in b/doc/finch.1.in
--- a/doc/finch.1.in
+++ b/doc/finch.1.in
@@ -581,7 +581,7 @@
 patch (using \fBmtn diff > my.diff\fR against the latest version from the
 Monotone repository) at \fIhttp://developer.pidgin.im/simpleticket\fR
 
-You are also encouraged to drop by at \fB#pidgin\fR on \fIirc.freenode.net\fR
+You are also encouraged to drop by at \fB#pidgin\fR on \fIirc.libera.chat\fR
 to discuss development.
 
 .SH SEE ALSO
diff --git a/doc/pidgin.1.in b/doc/pidgin.1.in
--- a/doc/pidgin.1.in
+++ b/doc/pidgin.1.in
@@ -564,7 +564,7 @@
 patch (using \fBmtn diff > my.diff\fR against the latest version from the
 Monotone repository) at \fIhttp://developer.pidgin.im/simpleticket\fR
 
-You are also encouraged to drop by at \fB#pidgin\fR on \fIirc.freenode.net\fR
+You are also encouraged to drop by at \fB#pidgin\fR on \fIirc.libera.chat\fR
 to discuss development.
 
 
diff --git a/doc/plugin-ids.dox b/doc/plugin-ids.dox
--- a/doc/plugin-ids.dox
+++ b/doc/plugin-ids.dox
@@ -37,7 +37,7 @@
 
   The @em username must be a unique identifier for you. It
   @em should be your http://developer.pidgin.im Trac user ID. Failing that, you
-  could use your SourceForge user ID or your Freenode IRC nickname, if you
+  could use your SourceForge user ID or your Libera IRC nickname, if you
   have either. The http://developer.pidgin.im Trac user ID is preferred.
   Do @em not leave this field blank!
 
diff --git a/pidgin/gtkdialogs.c b/pidgin/gtkdialogs.c
--- a/pidgin/gtkdialogs.c
+++ b/pidgin/gtkdialogs.c
@@ -538,7 +538,7 @@
 	g_string_append_printf(str,
 			_("<FONT SIZE=\"4\"><B>Helpful Resources</B></FONT><BR>\t<A "
 			  "HREF=\"%s\">Website</A><BR>\t<A HREF=\"%s\">Frequently Asked "
-			  "Questions</A><BR>\tIRC Channel: #pidgin on irc.freenode.net<BR>"
+			  "Questions</A><BR>\tIRC Channel: #pidgin on irc.libera.chat<BR>"
 			  "\tXMPP MUC: devel@conference.pidgin.im<BR><BR>"), PURPLE_WEBSITE,
 			"http://developer.pidgin.im/wiki/FAQ");
 
